# Contributing to Clypher

Contributions to Clypher are welcome! Whether you want to fix a bug, add a new feature, or improve the documentation, your contributions are appreciated.

To contribute, follow these steps:

1. Fork the repository on GitHub.

2. Clone your forked repository to your local machine:

```bash
git clone https://github.com/maxacan/clypher.git
```

3. Create a new branch for your changes:

```bash
git checkout -b feature-name
```

4. Make your desired changes to the codebase. You might want to install the package in editable mode using `pip install -e`

5. Commit your changes with a descriptive commit message:

```bash
git commit -m "Add feature-name"
```


6. Push your changes to your forked repository:

```bash
git push origin feature-name
 ```


7. Open a pull request (PR) on the main repository. Provide a clear description of your changes in the PR description.

8. Your PR will be reviewed by the maintainers. Make any necessary adjustments based on their feedback.

9. Once your changes are approved, they will be merged into the main branch.

Thank you for your contributions!
